<?php
/**
*
* Stop forum Spam extension for the phpBB Forum Software package.
*
* @copyright (c) 2015 Rich McGirr (RMcGirr83)
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/
if (!defined('IN_PHPBB'))
{
	exit;
}
if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters for use
// ’ » “ ” …


$lang = array_merge($lang, [

	// ACP entries
	'SFS_SETTINGS'			=> 'Ajustes',
	'SFS_ENABLED'			=> 'Habilitar Stop Forum Spam',
	'SFS_ENABLED_EXPLAIN'	=> 'Habilitar o Deshabilitar la extensión. Esto se aplica tanto el registro de usuarios y mensajes como invitado.',
	'SFS_THRESHOLD_SCORE'	=> 'Umbral de Stop Forum Spam',
	'SFS_THRESHOLD_SCORE_EXPLAIN'	=> 'La extensión comprobará con un umbral (por ejemplo, el número de veces que un nombre de usuario, correo electrónico o dirección IP se encuentra dentro de la base de datos de Stop Forum). Puede introducir cualquier número entre 1 y 99. Cuanto menor sea el número, mayor es la posibilidad de un falso positivo.',
	'SFS_LOG_MESSAGE'		=> 'Registrar un mensaje',
	'SFS_LOG_MESSAGE_EXPLAIN'	=> 'Si se define como sí, los mensajes se registran en el PCA cualquiera de los registros de Administrador o de usuario, y se indica la acción realizada.',
	'SFS_BAN_IP'			=> 'Banear IP',
	'SFS_BAN_IP_EXPLAIN'	=> 'Si se define como sí, los usuarios de dicha IP serán baneados durante una hora',
	'SFS_BAN_REASON'		=> 'Mostrar razón si esta exclido',
	'SFS_BAN_REASON_EXPLAIN'	=> 'Si “Banear IP” está establecido en si, puede elegir el mostrar un mensaje al usuario baneado o no.',
	'SFS_DOWN'				=> 'Permitir si Stop Forum Spam está caído',
	'SFS_DOWN_EXPLAIN'		=> 'En caso de que el registro/publicación pasan por si el sitio de Stop Forum Spam está caído',
	'SFS_API_KEY'			=> 'Clave API de Stop Forum Spam',
	'SFS_API_KEY_EXPLAIN'	=> 'Si desea enviar los spammers a la base de datos de Stop Forum Spam, introduzca su clave API de <a target="_blank" href="http://www.stopforumspam.com/keys" rel="noreferrer noopener">Stop Forum Spam</a> aquí. Debe estar registrado en el sitio web de SFS para obtener su clave API',
	'SFS_NEED_CACHE'		=> 'Hay una clave API, pero no se creó una caché para Administradores y Moderadores. Haga clic en el botón para generar el caché para Administradores y Moderadores, de lo contrario podrian ser reportados.',
	'SFS_NOTIFY'			=> 'Notificación del foro',
	'SFS_NOTIFY_EXPLAIN'	=> 'Si se establece en Si, y hay una clave de API establecida anteriormente, las notificaciones del foro también se activarán cuando sea reportado un mensaje a Stop Forum Spam',
	'SFS_CLEAR'	=> 'Resetear mensajes reportados',
	'SFS_CLEAR_EXPLAIN'	=> 'Reseteará todos los mensajes reportados a Stop Forum Spam',
	'SFS_CLEAR_SURE'		=> 'Clear SFS reports',
	'SFS_CLEAR_SURE_CONFIRM'	=> '¿Está seguro de que desea borrar todos los mensajes y mensajes privados denunciados?',
	'SFS_BUILD' => 'Construir caché de Administradores y Moderadores',
	'SFS_BUILD_EXPLAIN'	=> 'Crea una caché de Administradores y Moderadores globales para usar al informar a SFS',
	'SFS_NEEDS_API'	=> 'Para construir la caché, necesita una clave API de Stop Forum Spam',
	// ACP messages
	'SFS_BY_NAME'	=> 'Comprobar de nuevo el nombre de usuario',
	'SFS_BY_EMAIL'	=> 'Comprobar de nuevo el email',
	'SFS_BY_IP'		=> 'Comprobar de nuevo el IP',
	'TOO_SMALL_SFS_THRESHOLD'	=> 'El valor del umbral es demasiado pequeño.',
	'TOO_LARGE_SFS_THRESHOLD'	=> 'El valor del umbral es demasiado grande.',
	'SFS_SETTINGS_ERROR'		=> 'Se ha producido un error al guardar la configuración. Por favor, envíe el trazado inverso con su informe de error.',
	'SFS_SETTINGS_SUCCESS'		=> 'Los ajustes han sido guardados correctamente.',
	'SFS_REPORTED_CLEARED' => 'Mensajes reportados a Stop Forum Spam fueron reseteados',
	//Donation
	'PAYPAL_IMAGE_URL'          => 'https://www.paypalobjects.com/webstatic/en_US/i/btn/png/silver-pill-paypal-26px.png',
	'PAYPAL_ALT'                => 'Donar usando PayPal',
	'BUY_ME_A_BEER_URL'         => 'https://paypal.me/RMcGirr83',
	'BUY_ME_A_BEER'				=> 'Cómpreme una cerveza por crear esta extensión',
	'BUY_ME_A_BEER_SHORT'		=> 'Haga una donación para esta extensión',
	'BUY_ME_A_BEER_EXPLAIN'		=> 'Esta extensión es completamente gratuita. Es un proyecto en el que dedico mi tiempo para el disfrute y uso de la comunidad phpBB. Si disfruta usando esta extensión, o si ha beneficiado a su foro, considere <a href="https://paypal.me/RMcGirr83" target="_blank" rel="noreferrer noopener">comprarme una cerveza</a>. Le estaría agradecido. <i class="fa fa-smile-o" style="color:green;font-size:1.5em;" aria-hidden="true"></i>',
]);
