<?php
/**
*
* Stop forum Spam extension for the phpBB Forum Software package.
*
* @copyright (c) 2015 Rich McGirr (RMcGirr83)
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
// Some characters you may want to copy&paste:
// ’ » “ ” …

$lang = array_merge($lang, [
	'CANNOT_REPORT_ANONYMOUS'	=> 'No puede reportar la cuenta anónima.',
	'CANNOT_REPORT_ADMINS_MODS'	=> 'No puede reportar Administradores o Moderadores de este foro.',
	'FORUM_NOT_EXIST'	=> 'El foro seleccionado no existe.',
	'INFO_NOT_FOUND'	=> 'La combinación de posterid y postid no existe.',
	'POST_NOT_EXIST'	=> 'El mensaje solicitado no existe.',
	'NO_SOUP_FOR_YOU'	=> '¡No hay sopa para usted! Parece que se le ha señalado como un spammer.<br>Si cree que esta decisión fue tomada por error %scontacte con el Administrador del foro%s.',
	'NO_SOUP_FOR_YOU_NO_CONTACT'	=> '¡No hay sopa para usted! Parece que se le ha señalado como un spammer.',
	'PM_NOT_EXIST'		=> 'MP no existe',
	'SFS_ANONYMIZED_IP'	=> 'La IP del usuario ha sido anonimizada, establecida en 127.0.0.1, probablemente debido a una extensión.',
	'SFS_IP_STOPPED'	=> '<a target="_new" title="Comprobar IP en StopForumSpam.com (se abre en una nueva ventana)" href="http://www.stopforumspam.com/ipcheck/%1$s" rel="noreferrer noopener">%1$s</a>',
	'SFS_USERNAME_STOPPED'	=> '<a target="_new" title="Comprobar nombre de usuario en StopForumSpam.com (se abre en una nueva ventana)" href="http://www.stopforumspam.com/search/?q=%1$s" rel="noreferrer noopener">%1$s</a>',
	'SFS_EMAIL_STOPPED'	=> '<a target="_new" title="Comprobar correo electrónico en StopForumSpam.com (se abre en una nueva ventana)" href="http://www.stopforumspam.com/search/?q=%1$s" rel="noreferrer noopener">%1$s</a>',
	'SFS_ERROR_MESSAGE'	=> 'Desafortunadamente, no podemos procesar su solicitud ahora debido a problemas con una parte externa. Puede intentarlo de nuevo más tarde.',
	'SFS_BANNED'		=> 'Se encuentra en la base de datos de Forum Spam',
	'SFS_USER_BANNED'	=> 'Excluido debido a un mensajes en el foro',
	'SFS_REPORTED'		=> 'El mensaje ya ha sido reportado',
	'SFS_PM_REPORTED'	=> 'El MP ya ha sido reportado',
	'REPORT_TO_SFS'		=> 'Reportar a Stop Forum Spam',
	'BUTTON_SFS'		=> 'Reportar a SFS',
	'SFS_SUCCESS_MESSAGE'	=> 'El usuario ha sido reportado correctamente a la base de datos de Stop Forum Spam',
	'SFS_WAS_REPORTED'	=> 'Se reportó el mensaje a Stop Forum Spam',
	'SFS_PM_WAS_REPORTED'	=> 'Se reportó el MP a Stop Form Spam',
	'SFS_PM_REPORT_NOT_ALLOWED'	=> 'No se permite reportar',
	'SFS_NEED_CURL'	=> 'La extensión requiere cURL y parece no estar instalado',
	'LOG_SFS_REPORTED' => '<strong>El usuario fue reportado a Stop Forum Spam</strong><br>» %1$s',
	'EXTENSION_REQUIREMENTS' => 'La extensión requiere al menos la versión %1$s de phpBB. Necesita actualizar su versión de phpBB para utilizar esta extensión.',
]);
